// map.h 
// Written by Stefan Pfeiffer, DL1ELY@DB0PKE, 940713 
// Last modification: 941104 
// (C) 1994 by Stefan Pfeiffer, DL1ELY@DB0PKE 

#ifndef MAP_H

#define MAP_H

#include "secmem.h"

extern unsigned *map;
extern unsigned map_handle;
extern unsigned *border;
extern unsigned border_handle;
extern unsigned map_x, map_y;
extern double map_left;
extern double map_top;
extern double scale;

extern unsigned char mapcol;
extern unsigned char bordercol;
extern unsigned char maptextcol;

extern unsigned char gridcol;
extern unsigned char gridinvcol;

void load_map(void);
void load_borders(void);
unsigned make_fst_border(void);
unsigned make_fst_map(void);
void load_map_data(void);
void free_map_data(void);
void display_borders(void);
void display_map(char *, char *);
void display_loc(char *,char *);
void display_path(char *, char *, char *);
void display_grid(void);
int graph_mode(void);
void text_mode(void);

#endif

